## Medplexity

Medplexity is a python library to help with evaluation of LLMs for medical applications.
It is designed to help with the following tasks
- Evaluating performance of LLMs on existing medical datasets and benchmarks. E.g. MedQA, PubMedQA, etc.
- Compare performance of different prompts, models, and architectures.

For example, we can help answer questions like "How much better would GPT-4 perform if it also would load relevant paragraphs from research?".


## 🔧 Quick install
```bash
pip install medplexity
```

## Example
See `/noteboks/MedMCQA.ipynb` for a full example with MedMCQA dataset.


## 📜 License
Medplexity is licensed under the MIT License. See the LICENSE file for more details.
